MilleTeachTools README.fr

Fonctionnement
============
Le script 'vncviewer.sh' doit rouler constemment sur les terminaux afin qu'ils soient en mode "coute".
Pour se faire, ajouter un attribut SCREEN_XX="vncviewer.sh" dans le configurateur.

Lorsqu'il veut commencer sa dmonstration (mode broadcast), le professeur ouvre TeachTools.py, slectionne les adresses IP qui verront sa dmo, et clique sur "START BROADCAST", ce qui dmarrera le script vnc-broadcast.sh qui se charge de se connecter sur les postes lves et ainsi afficher la dmo sur leurs crans. Pour stopper la dmo, il clique sur "STOP BROADCAST" ce qui dmarre
le script vnc-broadcast-stop.sh .

Ajouter/modifier une langue d'environnement
===========================================
1 - python mki18n.py -pv --domain=MilleTeachTools
2 - python mki18n.py -mv --domain=MilleTeachTools --moTarget=./locale

Mode manuel (automatises par TeachTools.py et par etc/screen.d/vncviewer.sh)
===================
1) Mode (Start Broadcast)
----------------------
 Enseignant :	x11vnc -connect <liste des addresse IP des lves spar par virgules>
 lves(s)  :	vncviewer -fullscreen -viewonly -listen

2) Mode Espion (View screen) --> Dveloppement  venir...
----------------------
 Enseignant :	vncviewer -viewonly -listen	
 lves(s)  :	x11vnc -scale 1/4 -connect <IP du professeur>

3) Mode Prise  distance (Remote control) --> Dveloppement  venir...
-----------------------
 Enseignant :	vncviewer -listen
 lves(s)  :	x11vnc -connect <IP du professeur>


 venir
=======
Pour chaque mode qui reste a faire, crer un script qui se chargera d'excuter les commandes adquates. Ce script sera appell par TeachTools.py.


Comparaison avec iTALC
======================

(Selon Stphane Bond, stephane.bond@crim.ca)

Concernant les tests effectus avec iTalc, il y avait premirement des problmes 
de stabilit.

L'interface prof plantait souvent. Soit lors des oprations rgulires, soit 
lorsqu'on dconnectait un lve. Lorsque l'interface prof plantait, les services 
ct lve n'taient plus accessibles. Il fallait tout redmarrer.

Au niveau de la scurit, si je me rappel bien : pour le mode  broadcast , 
l'interface prof envoyait un signal aux postes lve et ce sont les postes 
lves qui ouvraient une session vnc sur le poste du prof. Il fallait donc 
ouvrir l'accs vnc sur le poste prof.

Autre raison : consommation de mmoire. Italc dmarre x11vnc qui, si je me 
rappelle bien, consomme plus de mmoire que vncviewer en mode listen. Lors 
du  broadcast , vncviewer est lui aussi dmarr. Puisque la premire 
exigence tait de permettre le  broadcast , il tait plus logique de laisser 
le viewer charg.

Il existe une version adapte de iTalc pour LTSP. Celle-ci ne convient toutefois 
pas  Mille-XTerm puisqu'elle est conue pour ouvrir tous les programmes 
(les x11vnc et les vncviewer) sur le mme serveur.


La solution retenue est base sur TeachTool livr avec LTSP. Il s'agit simplement 
d'une interface graphique permettant de lancer des commandes vnc.

L'infrastructure dveloppe est mieux adapte  XTerm :
- Trafic rseau : tout le traffic vnc reste local, au niveau du lab
- Robustesse : dmarrage de vncviewer en mode listen sur un respawn, 
  impossible  tuer, service toujours disponible
- Groupe-classe : puise les listes de postes dans le configurateur
- Scurit : en lien avec le configurateur, permet de s'assurer que 
  seuls les profs autoriss puissent communiquer avec les postes d'lves
- Pour la prise  distance : l'initialisation de la session ncessite 
  un accs ssh au terminal, pourrait facilement tre adapt pour permettre 
  la prise  distance d'un technicien pour le support technique. 

