#!/bin/sh
# VNC BROADCAST

SSH=/usr/bin/ssh
IPADDR=`echo $DISPLAY | cut -f1 -d":"`   #IP PROF
X11VNC=/usr/bin/x11vnc
VNCLOG=/tmp/vnc.log
EXPECTED_STRING="The VNC desktop is"

c1="killall $X11VNC"
c2="export XAUTHORITY=/tmp/.Xauthority"
c3="export DISPLAY=:0 "
c4="$X11VNC -shared -connect $1 > $VNCLOG 2>&1 & "
c5="for i in 1 2 3 4 5 ; do sleep 1 "
c6="X=\`cat $VNCLOG | grep -m 1 \"$EXPECTED_STRING\"\`"
c7="if [ \"x\$X\" != \"x\" ] ; then echo \"SUCCESS\" ; break ; fi"
c8="done"

cmd="$c1;$c2;$c3;$c4 $c5;$c6;$c7;$c8"
$SSH root@$IPADDR -i ~/.localapps/$USER-key "$cmd"
